# SectionRealView

Views a Section object.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode SectionRealView(SectionReal section, PetscViewer viewer)

Collective on Section

### Input Parameters

| section | - the Section
| viewer | - an optional visualization context

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

You can change the format the section is printed using the option PetscViewerSetFormat().

The user can open alternative visualization contexts with

| PetscViewerASCIIOpen() | - Outputs section to a specified file
| PetscViewerBinaryOpen() | - Outputs section in binary to a specified file; corresponding input uses SectionLoad()
| PetscViewerDrawOpen() | - Outputs section to an X window display

The user can call PetscViewerSetFormat() to specify the output format of ASCII printed objects (when using PETSC_VIEWER_STDOUT_SELF, PETSC_VIEWER_STDOUT_WORLD and PetscViewerASCIIOpen). Available formats include

| PETSC_VIEWER_ASCII_DEFAULT | - default, prints section information
| PETSC_VIEWER_ASCII_VTK | - outputs a VTK file describing the section

### See Also

VecView(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerBinaryOpen(), PetscViewerCreate()

Level:beginner
Location:src/dm/mesh/section.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages